Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Member Functions | List of all members
PK_RecoverableSignatureMessageEncodingMethod Class Reference

Interface for message encoding method for public key signature schemes. More...

Inheritance diagram for PK_RecoverableSignatureMessageEncodingMethod:

## Public Member Functions
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_SignatureMessageEncodingMethod
virtual size_t | MinRepresentativeBitLength (size_t hashIdentifierLength, size_t digestLength) const
virtual size_t | MaxRecoverableLength (size_t representativeBitLength, size_t hashIdentifierLength, size_t digestLength) const
bool | IsProbabilistic () const
| Determines whether an encoding method requires a random number generator. More...
bool | AllowNonrecoverablePart () const
virtual bool | RecoverablePartFirst () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual void | ComputeMessageRepresentative (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const =0
virtual DecodingResult | RecoverMessageFromRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength, byte *recoveredMessage) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Detailed Description

Interface for message encoding method for public key signature schemes.

PK_RecoverableSignatureMessageEncodingMethod provides interfaces for message encoding method for public key signature schemes.

Definition at line 402 of file pubkey.h.

The documentation for this class was generated from the following files:

- pubkey.h
- pubkey.cpp